API
GuidesGet API token
You’re viewing the reference for API version 2021-01.See the latest version, 2021-11 →
Core Resources

Shop

The shop endpoint includes basic info about your Recharge store setup.

#Retrieve a shop

GET/shop
Retrieve store using the Recharge API.

Shop properties.
These fields are deprecated, however they will not be removed from this API version. email is deprecated. Use shop_email instead.

Query parameters

  • idinteger
    Unique number identifier of the store.
  • created_atdatetime
    Date and time when the store is created.
  • currencystring
    Currency of the store.
  • domainstring
    Global domain name of the store.
  • emailstring
    Store-owner e-mail
    Will be deprecated, use shop_email instead.
  • Iana database timezone format.
  • Store domain name in Shopify.
  • namestring
    Name of the store.
  • Phone number of the store owner.
  • E-mail address of the store owner.
  • timezonestring
    Timezone of the store.
  • updated_atdatetime
    Date and time when the store was updated.
GET/shop
curl 'https://api.rechargeapps.com/shop' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "shop": {
    "checkout_logo_url": ""
  },
  "store": {
    "id": 1100010523,
    "checkout_platform": "recharge",
    "created_at": "Thu, 10 Jan 2018 08:40:45 GMT",
    "currency": "USD",
    "domain": "example-store.com",
    "email": "example@gmail.com",
    "enabled_presentment_currencies": [
      "USD"
    ],
    "enabled_presentment_currencies_symbols": [
      {
        "currency": "USD",
        "location": "before",
        "suffix": "",
        "symbol": "$"
      }
    ],
    "disabled_currencies_historical": [],
    "iana_timezone": "America/New_York",
    "my_shopify_domain": "example-store.myshopify.com",
    "name": "Example Store",
    "shop_email": "example@gmail.com",
    "shop_phone": "9075553333",
    "timezone": "(GMT-05:00) Eastern Time (US & Canada)",
    "updated_at": "Wed, 10 Mar 2019 05:17:23 GMT"
  }
}

#Shipping countries

GET/shop/shipping_countries
Retrieve shipping countries where items can be shipped.

## HTTP request examples

GET /shop/shipping_countries

Query parameters

  • idinteger
    Unique identifier of country for store in Recharge.
  • codestring
    It represents country code per ISO standards.
  • country_idinteger
    Unique identifier of country.
  • namestring
    Country name.
GET/shop/shipping_countries
curl 'https://api.rechargeapps.com/shop/shipping_countries' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "shipping_countries": [
    {
      "id": 156172,
      "code": "US",
      "country_id": 227,
      "name": "United States",
      "provinces": [
        {
          "id": 2138,
          "code": "AL",
          "name": "Alabama"
        },
        {
          "id": 2133,
          "code": "AK",
          "name": "Alaska"
        },
        {
          "id": 2115,
          "code": "AS",
          "name": "American Samoa"
        }
      ]
    },
    {
      "id": 172110,
      "code": "CA",
      "country_id": 37,
      "name": "Canada",
      "provinces": [
        {
          "id": 1947,
          "code": "AB",
          "name": "Alberta"
        },
        {
          "id": 1941,
          "code": "BC",
          "name": "British Columbia"
        },
        {
          "id": 1948,
          "code": "MB",
          "name": "Manitoba"
        }
      ]
    },
    {
      "id": 156151,
      "code": "IE",
      "country_id": 103,
      "name": "Ireland",
      "provinces": []
    }
  ]
}